


<div class="image-grid">
  <?php foreach ($models as $m): ?>
    <div class="grid-item">
      <!-- Image with link -->
      <a href="<?= strtolower(encodeUrl('webcamsProfile', $m)); ?>" class="image-link">
        <img src="<?= ($m['numImages'] > 0 && empty($useLiveImages)) ? $m['imagePath'] . $m['numImages'] . '.webp' : $m['imageUrl'] ?>" alt="Profile of <?= $m['nickname'] ?>">
      </a>

      <!-- Dynamic Status -->
      <div class="status <?= strtolower($m['status']) ?>">
        <?= ucfirst($m['status']) ?>
      </div>

      <!-- Information Overlay -->
      <div class="info">
        <span class="nickname"><?= $m['nickname'] ?></span>
        <span class="age-gender"><?= $m['age'] ?>, <?= ucfirst($m['gender']) ?></span>
      </div>
    </div>
  <?php endforeach; ?>
</div>
